Subject: Re: [PATCH 1/3] ath6kl: Only use match sets when firmware supports it

From: Kalle Valo <[email-masked]>
Date: Thu, 20 Dec 2018 07:31:22 +0000 (UTC)

Kyle Roeschley <[email-masked]> wrote:

> Commit dd45b7598f1c ("ath6kl: Include match ssid list in scheduled scan")
> merged the probed and matched SSID lists before sending them to the
> firmware. In the process, it assumed match set support is always available
> in ath6kl_set_probed_ssids, which breaks scans for hidden SSIDs. Now, check
> that the firmware supports matching SSIDs in scheduled scans before setting
> MATCH_SSID_FLAG.
> 
> Fixes: dd45b7598f1c ("ath6kl: Include match ssid list in scheduled scan")
> Signed-off-by: Kyle Roeschley <[email-masked]>
> Signed-off-by: Kalle Valo <[email-masked]>

3 patches applied to ath-next branch of ath.git, thanks.

fb376a495fbd ath6kl: Only use match sets when firmware supports it
5803c12816c4 ath6kl: Fix off by one error in scan completion
192a986d964c ath6kl: Use debug instead of error message when disabled

-- 
https://patchwork.kernel.org/patch/10674651/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches